# Generated by Django 3.1.13 on 2022-03-25 23:11

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('mission', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Rover',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True)),
                ('name', models.CharField(max_length=250, unique=True)),
                ('x_position', models.IntegerField()),
                ('y_position', models.IntegerField()),
                ('direction', models.CharField(choices=[('N', 'North'), ('E', 'East'), ('S', 'South'), ('W', 'West')], max_length=1)),
                ('instructions', models.CharField(max_length=250)),
                ('mission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='rover_mission', to='mission.missionconfig')),
            ],
            options={
                'verbose_name': 'Rover',
                'verbose_name_plural': 'Rovers',
            },
        ),
    ]
